Bug 84822 - Phoebe client takes over master browser/GC role on MS network
Phoebe client takes over master browser/GC role on MS network
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-02-21 13:36 EST by Todd Booher
Modified: 2014-08-31 19:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-08 11:52:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Booher 2003-02-21 13:36:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
After connecting a clean install of phoebe beta 3 to our lab
network, the client assumed the master browser role due to its
samba settings.  It also assumed the global catalog (GC) role
causing MS Exchange servers to be unable to do directory lookups
for routing email (they use GC's for this function).  Upon removing
the phoebe client from the network, normal operation of the master
browser and GC resumed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Connect a phoebe beta 3 client to a Windows 2000 network with Exchange 2000
2.Run netdom tool to verify who the master browser is on the network
3.Verify that mail is queing in the "Awaiting Directory Lookup" queue on the 
exchange servers.
4.Remove phoebe client and all network functions go back to normal.

Actual Results:  Network services were impaired due to failure of the master 
browser and global catalog.

Expected Results:  Phoebe client would not affect normal network functions by 
having the appropriate samba settings to not assume these roles.

Additional info:

The default samba config needs to be changed so that it does not
interfere with the normal network operations on an MS network.  The following 
settings should be used:

 local master = no
 os level = 0
 domain master = no
 preferred master = no
 domain logons = no
 wins support = no
 wins proxy = no
 dns proxy = no
Comment 1 Jay Fenlason 2003-03-06 15:40:19 EST
The default configuration will never be appropriate for all environments.  You
need to set the browsing mastership appropriately for your network at the same
time you change the workgroup name, server comment, etc.

Instead of changing the default config, redhat-config-samba should have a
convenient panel for setting these important parameters.
Comment 2 Todd Booher 2003-03-06 15:47:06 EST
I understand the default config will not meet everyone's 
particular layout but if it's left as is, it will create
a problem with network services.  I don't think Redhat want's
to see a a new article about how some user placed their
new Redhat pc on their corporate network and brought down
a number of services.  The changes I mentioned would still
allow the user to browse the network, just not take control
of it.

Obviously, it's Redhat's decision, I just would hate to see
it implemented like this since it will most likely cause people
a great deal of pain.
Comment 3 Brent Fox 2003-03-06 16:01:31 EST
I agree with Todd...this default setting can cause problems with other computers
on the network.  We should always try to pick safe defaults.

There should be a way to configure this in redhat-config-samba but I also think
that we should try to pick defaults that will be right for the greatest number
of users.  

I'm willing to bet that the majority of people running samba do not use is as
the domain controller...they just want to share files with Windows machines.  
If this is true, then the majority of people using redhat-config-samba will have
to go "unbreak" their configuration.  We should make the common case as simple
as possible.

Comment 4 Jay Fenlason 2003-04-08 11:52:03 EDT
I changed the defaults for the next rawhide Samba build.  Now I'll just have to
field all the "Samba stopped working" bug reports from people who expect the old

Note You need to log in before you can comment on or make changes to this bug.